> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://walmart.postmansolutions.com/us-marketplace/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://walmart.postmansolutions.com/us-marketplace/_mcp/server.

# Fetches the details of an inbound plan.

GET https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/{inboundPlanId}

Reference: https://walmart.postmansolutions.com/us-marketplace/api-reference/orders-fulfillment/fulfillment-inbound/wfs-inbound/get-inbound-plan

## Servers

- `https://marketplace.walmart.com/seller/v1` (Production, default)
- `https://sandbox.marketplace.walmart.com/seller/v1` (Sandbox)

## Request

### Path parameters

- `inboundPlanId` (string, required) — Identifier of an inbound plan.

## Response

### 200

Success

- `createdAt` (datetime, required) — The time at which the inbound plan was created. In ISO 8601 datetime format with pattern `yyyy-MM-ddTHH:mm:ssZ`.
- `inboundPlanId` (string, required) — Identifier of an inbound plan.
- `lastUpdatedAt` (datetime, required) — The time at which the inbound plan was last updated. In ISO 8601 datetime format with pattern `yyyy-MM-ddTHH:mm:ssZ`.
- `marketplaceIds` (list of string, required) — A list of Walmart marketplace IDs.
- `name` (string, required) — Human-readable name of the inbound plan.
- `sourceAddress` (Address, required) — Specific details to identify a place.
- `status` (string, required) — Current status of the inbound plan. Possible values: `ACTIVE`, `VOIDED`, `SHIPPED`, `ERRORED`.
- `packingOptions` (list of PackingOptionSummary, optional) — Packing options for the inbound plan. Populated after generation via the corresponding operation.
- `placementOptions` (list of PlacementOptionSummary, optional) — Placement options for the inbound plan. Populated after generation via the corresponding operation.
- `shipments` (list of ShipmentSummary, optional) — A list of shipment IDs for the inbound plan. Populated after `confirmPlacementOptions`.

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of Error, required) — List of errors.

### 403 Forbidden Error

Forbidden

- `errors` (list of Error, required) — List of errors.

### 404 Not Found Error

Not Found

- `errors` (list of Error, required) — List of errors.

### 429 Too Many Requests Error

Rate limit exceeded

- `errors` (list of Error, required) — List of errors.

### 500 Internal Server Error

Internal Server Error

- `errors` (list of Error, required) — List of errors.

## Types

### Address

Specific details to identify a place.

- `addressLine1` (string, required) — Street address information.
- `city` (string, required) — The city.
- `countryCode` (string, required) — The country code in two-character ISO 3166-1 alpha-2 format.
- `name` (string, required) — The name of the individual who is the primary contact.
- `postalCode` (string, required) — The postal code.
- `addressLine2` (string, optional) — Additional street address information.
- `companyName` (string, optional) — The name of the business.
- `districtOrCounty` (string, optional) — The district or county.
- `email` (string, optional) — The email address.
- `phoneNumber` (string, optional) — The phone number.
- `stateOrProvinceCode` (string, optional) — The state or province code.

### PackingOptionSummary

Summary information about a packing option.

- `packingOptionId` (string, required) — Identifier of a packing option.
- `status` (string, required) — The status of a packing option. Possible values: `OFFERED`, `ACCEPTED`, `EXPIRED`.

### PlacementOptionSummary

Summary information about a placement option.

- `placementOptionId` (string, required) — The identifier of a placement option.
- `status` (string, required) — The status of a placement option. Possible values: `OFFERED`, `ACCEPTED`.

### ShipmentSummary

Summary information about a shipment.

- `shipmentId` (string, required) — Identifier of a shipment. A shipment contains the boxes and units being inbounded.
- `status` (string, required) — The status of a shipment. Possible values: `ABANDONED`, `CANCELLED`, `CHECKED_IN`, `CLOSED`, `DELETED`, `DELIVERED`, `IN_TRANSIT`, `MIXED`, `READY_TO_SHIP`, `RECEIVING`, `SHIPPED`, `UNCONFIRMED`, `WORKING`.

### Error

Error object containing information about what went wrong.

- `code` (string, required) — An error code that identifies the type of error that occurred.
- `message` (string, required) — A message that describes the error condition.
- `details` (string, optional) — Additional details that can help the caller understand or fix the issue.

## Examples

**Response**

```json
{
  "createdAt": "2024-01-15T09:30:00Z",
  "inboundPlanId": "string",
  "lastUpdatedAt": "2024-01-15T09:30:00Z",
  "marketplaceIds": [
    "string"
  ],
  "name": "string",
  "sourceAddress": {
    "addressLine1": "string",
    "city": "string",
    "countryCode": "string",
    "name": "string",
    "postalCode": "string",
    "addressLine2": "string",
    "companyName": "string",
    "districtOrCounty": "string",
    "email": "string",
    "phoneNumber": "string",
    "stateOrProvinceCode": "string"
  },
  "status": "string",
  "packingOptions": [
    {
      "packingOptionId": "string",
      "status": "string"
    }
  ],
  "placementOptions": [
    {
      "placementOptionId": "string",
      "status": "string"
    }
  ],
  "shipments": [
    {
      "shipmentId": "string",
      "status": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```